<%@ Page Language="c#" Debug="true" Codebehind="Blog.pas" AutoEventWireup="false" Inherits="Blog.TWebForm1"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
  <head>
    <title>Dr.Bob's Weblog</title>
    <link href="Stylesheet.css" type="text/css" rel="stylesheet">
  </head>
  <body bgcolor="#d7e7f0" ms_positioning="GridLayout">
    <form runat="server">
      <p>
        <table cellspacing="1" cellpadding="1" width="100%" border="0">
          <tbody class="body">
            <tr>
              <td width="64"></td>
              <td colspan="2">
                <asp:Label id="lbPosted" runat="server"></asp:Label></td>
            </tr>
            <tr>
              <td rowspan="2">
                <p>&nbsp;</p></td>
              <td colspan="2">
                <p>
                  <asp:TextBox id="tbTitle" runat="server"
                    text='<%# DataBinder.Eval(rhRoot, "[0].Title") %>'
                    width="100%"></asp:TextBox>
                </p></td>
            </tr>
            <tr>
              <td colspan="2">
                <p>
                  <asp:TextBox id="tbContents" runat="server"
                    text='<%# DataBinder.Eval(rhRoot, "[0].Contents") %>'
                    width="100%" rows="8"
                    textmode="MultiLine"></asp:TextBox>
                </p></td>
              <td>
                <p>&nbsp;</p></td>
            </tr>
            <tr>
              <td>
                <p>
                  <asp:HyperLink id="HyperLink1" runat="server" navigateurl="Blogs.aspx"
                    font-underline="True">Back</asp:HyperLink>
                </p></td>
              <td>Author: 
                <asp:Label id="lbAuthor" runat="server"></asp:Label></td>
              <td align="right">&nbsp; 
                <asp:Button id="btnSaveChanges" runat="server" text="Save Changes"
                  cssclass="pushbutton"></asp:Button></td>
            </tr>
          </tbody>
        </table>
      </p>
      <p>
      <p>
        <hr width="100%" size="1">
        <asp:Label id="lbComments" runat="server"></asp:Label>
      <p>
        <asp:DataGrid id="dgComments" runat="server" autogeneratecolumns="False"
          datasource="<%# ehComments %>" gridlines="None"
          cellpadding="3" backcolor="White" cellspacing="1"
          borderwidth="2px" borderstyle="Ridge" bordercolor="White"
          datakeyfield="ExternalId" cssclass="body">
          <FooterStyle forecolor="Black" backcolor="#C6C3C6"></FooterStyle>
          <SelectedItemStyle font-bold="True" forecolor="White" backcolor="#9471DE"></SelectedItemStyle>
          <ItemStyle forecolor="Black" backcolor="#DEDFDE"></ItemStyle>
          <HeaderStyle font-bold="True" forecolor="#E7E7FF" backcolor="#4A3C8C"></HeaderStyle>
          <Columns>
            <asp:BoundColumn datafield="Author" sortexpression="Author" headertext="Author"></asp:BoundColumn>
            <asp:BoundColumn datafield="Posted" sortexpression="Posted" headertext="Posted"></asp:BoundColumn>
            <asp:BoundColumn datafield="Comments" sortexpression="Comments"
              headertext="Comments"></asp:BoundColumn>
            <asp:ButtonColumn text="Delete" commandname="Delete"></asp:ButtonColumn>
          </Columns>
          <PagerStyle horizontalalign="Right" forecolor="Black" backcolor="#C6C3C6"></PagerStyle>
        </asp:DataGrid>
      </p>
      <p>
      <p>
        <hr width="100%" size="1">
       New Comment: 
      <p>
        <table cellspacing="1" cellpadding="1" width="100%" border="0">
          <tbody class="body">
            <tr>
              <td align="right">Name:</td>
              <td>
                <asp:TextBox id="tbCommentAuthor" runat="server" width="100%"></asp:TextBox></td>
            </tr>
            <tr>
              <td valign="top" align="right" width="64">Comment:</td>
              <td>
                <asp:TextBox id="tbCommentComments" runat="server" width="100%" rows="4"
                  textmode="MultiLine"></asp:TextBox></td>
            </tr>
            <tr>
              <td></td>
              <td>
                <asp:Button id="btnAddComment" runat="server" text="Add Comment"
                  cssclass="pushbutton"></asp:Button></td>
            </tr>
          </tbody>
        </table>
      </p>
    </form>
  </body>
</html>
