<%@ Page Language="c#" Debug="true" Codebehind="Blogs.pas" AutoEventWireup="false" Inherits="Blogs.TWebForm1"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
  <head>
    <title>Dr.Bob's Weblogs</title>
    <link href="Stylesheet.css" type="text/css" rel="stylesheet">
  </head>
  <body bgcolor="#d7e7f0" ms_positioning="GridLayout">
    <form runat="server">
      <table cellspacing="1" cellpadding="1" width="100%" border="0">
        <tbody class="body">
          <tr>
            <td valign="top">
              <asp:DataGrid id="dgCategories" runat="server" bordercolor="White"
                borderstyle="Ridge" borderwidth="2px"
                cellspacing="1" backcolor="White"
                cellpadding="3" gridlines="None"
                datakeyfield="ExternalId"
                autogeneratecolumns="False"
                datasource="<%# ehCategories %>" cssclass="body">
                <FooterStyle forecolor="Black" backcolor="#C6C3C6"></FooterStyle>
                <SelectedItemStyle font-bold="True" forecolor="White" backcolor="#9471DE"></SelectedItemStyle>
                <ItemStyle forecolor="Black" backcolor="#DEDFDE"></ItemStyle>
                <HeaderStyle font-bold="True" forecolor="#E7E7FF" backcolor="#4A3C8C"></HeaderStyle>
                <Columns>
                  <asp:BoundColumn visible="False" datafield="Name" sortexpression="Name"
                    headertext="Categories"></asp:BoundColumn>
                  <asp:EditCommandColumn visible="False" buttontype="LinkButton" updatetext="Update"
                    canceltext="Cancel" edittext="Edit"></asp:EditCommandColumn>
                  <asp:ButtonColumn visible="False" text="Delete" commandname="Delete"></asp:ButtonColumn>
                  <asp:HyperLinkColumn datanavigateurlfield="ExternalId"
                    datanavigateurlformatstring="Blogs.aspx?RootId={0}"
                    datatextfield="Name"
                    headertext="Categories"></asp:HyperLinkColumn>
                </Columns>
                <PagerStyle horizontalalign="Right" forecolor="Black" backcolor="#C6C3C6"></PagerStyle>
              </asp:DataGrid>
              <p>
                <asp:Button id="btnNewCategory" runat="server" visible="False"
                  text="New Category" cssclass="pushbutton"></asp:Button>
              </p></td>
            <td valign="top">
              <p>
                <asp:Label id="lbCategory" runat="server" font-names="Comic Sans MS"
                  font-size="Large" font-bold="True"></asp:Label>
              </p>
              <p>
                <asp:DataGrid id="dgPosts" runat="server" bordercolor="White"
                  borderstyle="Ridge" borderwidth="2px"
                  cellspacing="1" backcolor="White"
                  cellpadding="3" gridlines="None"
                  datakeyfield="ExternalId"
                  autogeneratecolumns="False"
                  datasource="<%# ehPosts %>" cssclass="body">
                  <FooterStyle forecolor="Black" backcolor="#C6C3C6"></FooterStyle>
                  <SelectedItemStyle font-bold="True" forecolor="White" backcolor="#9471DE"></SelectedItemStyle>
                  <ItemStyle forecolor="Black" backcolor="#DEDFDE"></ItemStyle>
                  <HeaderStyle font-bold="True" forecolor="#E7E7FF" backcolor="#4A3C8C"></HeaderStyle>
                  <Columns>
                    <asp:BoundColumn datafield="Author" sortexpression="Author"
                      headertext="Author"></asp:BoundColumn>
                    <asp:HyperLinkColumn datanavigateurlfield="ExternalId"
                      datanavigateurlformatstring="Blog.aspx?RootId={0}"
                      datatextfield="Title"
                      headertext="Title"></asp:HyperLinkColumn>
                    <asp:BoundColumn datafield="Posted" sortexpression="Posted"
                      headertext="Posted"
                      dataformatstring="{0:d}"></asp:BoundColumn>
                    <asp:ButtonColumn text="Delete" commandname="Delete"></asp:ButtonColumn>
                  </Columns>
                  <PagerStyle horizontalalign="Right" forecolor="Black"
                    backcolor="#C6C3C6"></PagerStyle>
                </asp:DataGrid>
              </p>
              <p>
                <asp:Button id="btnNewPost" runat="server" text="New Post"
                  cssclass="pushbutton"></asp:Button>
              </p></td>
          </tr>
        </tbody>
      </table>
    </form>
  </body>
</html>
